Subject: Re: [PATCH 1/1 V3] net: Add Aeroflex Gaisler 10/100/1G Ethernet MAC driver

From: Kristoffer Glembo <[email-masked]>
Date: Mon, 25 Jan 2010 11:54:55 +0100

David Miller wrote:
> 
> Generates build warnings, please fix:
> 
> drivers/net/greth.c: In function ‘greth_rx’:
> drivers/net/greth.c:781: warning: passing argument 1 of ‘greth_print_rx_packet’ makes integer from pointer without a cast
> drivers/net/greth.c: In function ‘greth_rx_gbit’:
> drivers/net/greth.c:885: warning: passing argument 1 of ‘greth_print_rx_packet’ makes integer from pointer without a cast
> 
> phys_to_virt() give a virtual address pointer, so this should
> have generated warnings on 64-bit as well as 32-bit systems.
> 
> I can't see how you could have possibly build tested this and
> not seen the warnings.

After removing the #defines that guarded those calls I only built it as part of the
whole kernel and forgot to check for any warnings. Sorry!

I'll resend ...

/Kristoffer